Bug 178669 - lang/gawk : fix patch-Makefile
Summary: lang/gawk : fix patch-Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-15 20:10 UTC by Christoph Moench-Tegeder
Modified: 2013-05-15 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (754 bytes, patch)
2013-05-15 20:10 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2013-05-15 20:10:00 UTC
	make patch in lang/gawk fails, as gawk's Makefile.in (patched by
	files/patch-Makefile) has ever so slightly changed

How-To-Repeat: 	just type make
Comment 1 Edwin Groothuis freebsd_committer 2013-05-15 20:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-05-15 20:28:57 UTC
Author: johans
Date: Wed May 15 19:28:50 2013
New Revision: 318256
URL: http://svnweb.freebsd.org/changeset/ports/318256

Log:
  Add updated patch file, forgotten in previous commit
  
  PR:		ports/178669
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>

Modified:
  head/lang/gawk/files/patch-Makefile

Modified: head/lang/gawk/files/patch-Makefile
==============================================================================
--- head/lang/gawk/files/patch-Makefile	Wed May 15 18:51:13 2013	(r318255)
+++ head/lang/gawk/files/patch-Makefile	Wed May 15 19:28:50 2013	(r318256)
@@ -1,9 +1,9 @@
---- Makefile.in.orig	2011-07-01 16:58:19.000000000 +0200
-+++ Makefile.in	2011-07-01 16:58:47.000000000 +0200
-@@ -1014,7 +1014,7 @@ install-exec-hook:
+--- Makefile.in.orig	2013-05-09 14:59:40.000000000 +0200
++++ Makefile.in	2013-05-13 16:46:23.000000000 +0200
+@@ -1131,7 +1131,7 @@ uninstall-am: uninstall-binPROGRAMS unin
+ install-exec-hook:
  	(cd $(DESTDIR)$(bindir); \
  	$(LN) gawk$(EXEEXT) gawk-$(VERSION)$(EXEEXT) 2>/dev/null ; \
- 	$(LN) pgawk$(EXEEXT) pgawk-$(VERSION)$(EXEEXT) 2>/dev/null ; \
 -	if [ ! -f awk ]; \
 +	if ! /usr/bin/which -s awk; \
  	then	$(LN_S) gawk$(EXEEXT) awk; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Johan van Selst freebsd_committer 2013-05-15 20:29:13 UTC
State Changed
From-To: open->closed

Oops, I had that patch locally, but it somehow got lost in the update. 
Committed now, thanks for the report.